Package: org.grails.dev.support

## [Java] Class GrailsSpringLoadedPlugin

- org.grails.dev.support.GrailsSpringLoadedPlugin

- All Implemented Interfaces and Traits:
    ReloadEventProcessorPlugin

      public class GrailsSpringLoadedPlugin

  A Spring loaded plugin

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static GrailsSpringLoadedPlugin` | `register(GrailsPluginManager pluginManager)`
    `` | `void` | `reloadEvent(java.lang.String typename, java.lang.Class<?> clazz, java.lang.String encodedTimestamp)`
    `` | `boolean` | `shouldRerunStaticInitializer(java.lang.String typename, java.lang.Class<?> clazz, java.lang.String encodedTimestamp)`
    `` | `static void` | `unregister()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public static GrailsSpringLoadedPlugin register(GrailsPluginManager pluginManager)

    - #### @java.lang.Override public void reloadEvent(java.lang.String typename, java.lang.Class<?> clazz, java.lang.String encodedTimestamp)

    - #### @java.lang.Override public boolean shouldRerunStaticInitializer(java.lang.String typename, java.lang.Class<?> clazz, java.lang.String encodedTimestamp)

    - #### public static void unregister()